Subject: Re: linux-next: Tree for April 9

From: Andrew Morton <[email-masked]>
Date: Fri, 10 Apr 2009 23:11:58 -0700

On Thu, 9 Apr 2009 16:33:05 +1000 Stephen Rothwell <[email-masked]> wrote:

> I have created today's linux-next tree at
> git://git.kernel.org/pub/scm/linux/kernel/git/sfr/linux-next.git

It has a link failure with i386 allmodconfig due to missing __divdi3.

It's due to this statement in drivers/media/video/cx88/cx88-dsp.c's
int_goertzel():

        return (u32)(((s64)s_prev2*s_prev2 + (s64)s_prev*s_prev -
                      (s64)coeff*s_prev2*s_prev/32768)/N/N);

that gem will need to be converted to use div64() or similar, please.